:root {
  --main-background-color: #fff0fe;

  --link: #424242;

  --primary: #424242;
  --primary-text: #fff;
  --primary-shadow: #232323;

  --default: #424242;
  --default-text: #fff;
  --default-shadow: #232323;

  --username: #232323;

  // DECO
  --top-left-cloud: #424242;
  --top-left-cloud-shadow: #232323;
  --top-right-cloud: #424242;
  --top-right-cloud-shadow: #232323;

  --background-cloud: #424242;
  --background-cloud-shadow: #232323;

  --strip-1: 10px;
  --strip-1-color: #f7bff2;
  --strip-2: 15px;
  --strip-2-color: #cc85ff;
  --strip-3: 28px;
  --strip-3-color: #f7bff2;
  --strip-4: 34px;
  --strip-4-color: #fff0fe;
  --strip-5: 50px;
  --strip-5-color: #f7bff2;

  // BUTTON
  --app-button-theme: #eee;
  --app-button: #424242;
  --app-button-text: #eee;
  --app-button-shadow: #232323;

  .discreet {
    --app-button: #999999;
    --app-button-text: #fff;
    --app-button-shadow: #2e2e2e;
  }

  --menu-background: #424242;
  --menu-foreground: #232323;

  --title: #424242;
  --title-shadow: #232323;
  --title-text: #fff;

  --menu-dialog-bg: #555555;

  --dialog-backdrop: #000;

  --input-background: #cecece;
  --input-color: #000;

  --toast-error: #f19099;
  --toast-warning: #f7c894;
  --toast-success: #9ad2ce;
  --toast-info: #d7b8d9;
  --toast-error-shadow: #704347;
  --toast-warning-shadow: #68543d;
  --toast-success-shadow: #374d4b;
  --toast-info-shadow: #4c414d;

  --ng-select-criterium-brand: #e645b5;
  --ng-select-criterium-brand-text: #fff;
  --ng-select-criterium-category: #4780c5;
  --ng-select-criterium-category-text: #fff;
  --ng-select-criterium-feature: #28964f;
  --ng-select-criterium-feature-text: #fff;
  --ng-select-criterium-keywords: #8a8a8a;
  --ng-select-criterium-keywords-text: #fff;
  --ng-select-criterium-color: #9c65ce;
  --ng-select-criterium-color-text: #fff;
  --ng-select-default-color: #d1d1d1;
  --ng-select-default-color-text: #000;

  --fieldset-background: #cabdc9;
  --fieldset-legend: #000000;
  --fieldset-legend-text: #cabdc9;
  --fieldset-legend-icon: #cabdc9;

  --save-icon-1: #000;
  --save-icon-2: #fdf2f8;
  --save-icon-3: #fff;

  --item-actions: #ffffff;

  --item-header: #ffffff;
  --item-header-text: #000;

  --item-field-section-header: #424242;
  --item-field-section-header-text: #fff;
  --item-field-section: #c1c1c1;

  --simple-loader-color: #424242;

  --tada: #424242;
  .primary {
    --tada: #424242;
  }
  .primary-shadow {
    --tada: #424242;
  }
  .accent {
    --tada: #424242;
  }
  .accent-shadow {
    --tada: #424242;
  }
  .default {
    --tada: #424242;
  }
  .default-shadow {
    --tada: #424242;
  }

  --draft: #df6874;
  --draft-bg: #{rgba(#f7c894, 0.2)};
  --incomplete: #ff4759;
  --incomplete-bg: #{rgba(#f7c894, 0.2)};

  --checkbox-star: #424242;
  --checkbox-star-stroke: #424242;

  --gauge-fill: #674f9c;
  --gauge-shape: #352772;

  --level-up-quiz-top-arc: #be90c0;
  --level-up-quiz-top-cloud: #dc82b4;
  --level-up-quiz-top-stars: #84cee6;

  --level-up-quiz-result-party-popper-accent: #9bd7f4;
  --level-up-quiz-result-party-popper-primary: #c87bb1;
  --level-up-quiz-result-party-popper-inner-shadow: #23404c;
  --level-up-quiz-result-party-popper-text: #fff;

  --line-chart-line-path: #000;
  --line-chart-gridline-path: #000;
}

body.theme-sweet {
  --main-background-color: #fff0fe;

  --link: #6396d3;

  --primary: #f7bff2;
  --primary-shadow: #cc85ff;
  --primary-text: #000;
  --primary-rgb: 247, 192, 242;

  --username: #cc85ff;

  --accent: #92c8f4;
  --accent-text: #000000;
  --accent-shadow: #6396d3;

  --warn: #cc2d2d;

  --top-left-cloud: #92c8f4;
  --top-left-cloud-shadow: #6396d3;
  --top-right-cloud: #92c8f4;
  --top-right-cloud-shadow: #6396d3;

  --background-cloud: #92c8f4;
  --background-cloud-shadow: #6396d3;

  --strip-1-color: #f7bff2;
  --strip-2-color: #cc85ff;
  --strip-3-color: #f7bff2;
  --strip-4-color: #fff0fe;
  --strip-5-color: #f7bff2;

  // BUTTON
  --app-button-theme: #fff;
  --app-button: #424242;
  --app-button-text: #eee;
  --app-button-shadow: #232323;

  .primary {
    --app-button: #f7bff2;
    --app-button-text: #000;
    --app-button-shadow: #cc85ff;
  }

  .accent {
    --app-button: #92c8f4;
    --app-button-text: #fff0fe;
    --app-button-shadow: #6396d3;
  }

  .discreet {
    --app-button: #999999;
    --app-button-text: #fff;
    --app-button-shadow: #2e2e2e;
  }

  .warn {
    --app-button: #cc2d2d;
    --app-button-text: #fff;
    --app-button-shadow: #721a1a;
  }

  --tada: #424242;
  .primary {
    --tada: #f7bff2;
  }
  .primary-shadow {
    --tada: #cc85ff;
  }
  .accent {
    --tada: #92c8f4;
  }
  .accent-shadow {
    --tada: #6396d3;
  }
  .default-shadow {
    --tada: #232323;
  }
  .warn-shadow {
    --tada: #721a1a;
  }

  --menu-background: #f7bff2;
  --menu-foreground: #cc85ff;

  --title: #f7bff2;
  --title-shadow: #cc85ff;
  --title-text: #000;

  --menu-dialog-bg: #f4edbe;
  --second-balloon: #92c8f4;
  --third-balloon: #f7bff2;

  --dialog-backdrop: #220935;

  --input-background: #ffffff;
  --input-color: #000;

  --details: #f7bff2;
  --details-shadow: #cc85ff;
  --details-text: #000;

  --fieldset-background: #e6d7e4;
  --fieldset-legend: #f7bff2;
  --fieldset-legend-text: #000;
  --fieldset-legend-icon: #242424;

  --save-icon-1: #6396d3;
  --save-icon-2: #fdf2f8;
  --save-icon-3: #cc85ff;
  --edit-icon-1: #5078aa;
  --edit-icon-2: #fdf2f8;
  --edit-icon-3: #cc85ff;
  --edit-icon-4: #6da3e6;

  --item-field-section-header: #f7bff2;
  --item-field-section-header-text: #000;
  --item-field-section: #e6d7e4;

  --related-item-bg: #f7bff2;
  --related-item-t: #{rgba(#f7bff2, 0)};

  --cloud-symbol: #eacdff;
  --cloud-symbol-shadow: #cc85ff;

  .grayscale {
    --add-to-wishlist-1: #c0c0c0;
    --add-to-wishlist-2: #9e9e9e;
    --add-to-wishlist-3: #fff;
  }

  --button-empty: #ded8df;
  --coord-section-btn: #deb8ff;
  --coord-top-title: #e8cdff;
  --coord-memo: #e8cdff;

  --modal-deco: #ae78b1;
  --modal-deco-bg: #e4c3ff;

  --memo-1: #5d1fa0;
  --memo-2: #cc9cff;
  --memo-3: #b972f7;
  --memo-4: #af71ff;

  --simple-loader-color: #000;

  .simple-loader.accent {
    --simple-loader-color: #fff;
  }

  --search-add: #000;
  .accent {
    --search-add: #fff;
  }

  --pagination-color: #000;
  --pagination-current: #92c8f4;
  --pagination-current-color: #fff;

  --checkbox-star: #5d1fa0;
  --checkbox-star-stroke: #5d1fa0;

  --gauge-fill: #f7bff2;
  --gauge-shape: #8b5bad;

  --level-up-quiz-top-arc: #f7bff2;
  --level-up-quiz-top-cloud: #cc85ff;
  --level-up-quiz-top-stars: #92c8f4;

  --line-chart-line-path: #8b5bad;
  --line-chart-gridline-path: #000;

  --maintenance-background: #fff0fe;
  --maintenance-cone-fill: #fce1f9;
  --maintenance-cone-stroke: #7144a5;
  --maintenance-cone-fill-2: #f7bff2;
  --maintenance-cone-fill-3: #7144a5;
  --maintenance-cone-stroke-2: #fff;
  --maintenance-cone-stroke-3: #f7bff2;
  --maintenance-barier-stroke: #7144a5;
  --maintenance-barier-fill: #7144a5;
  --maintenance-barier-fill-2: #f7bff2;
  --maintenance-barier-fill-3: #f7bff2;
  --maintenance-barier-fill-4: #f7bff2;
  --maintenance-bunny-fill: #f7bff2;
  --maintenance-bunny-fill-2: #7144a5;
  --maintenance-bunny-fill-3: #fff;
  --maintenance-bunny-stroke: #7144a5;

  --shop-1: #fff;
  --shop-2: #f7bff2;
  --shop-3: #c7c6c6;
  --shop-4: #7d4cb6;
  --shop-5: #7144a5;
  --shop-6: #cc85ff;

  --share-icon: #cc85ff;
}

body.theme-gothic {
  --main-background-color: #7b71a5;

  --link: #3f0670;

  --primary: #322187;
  --primary-shadow: #000;
  --primary-text: #fff;
  --primary-rgb: 50, 33, 135;

  --username: #3f0670;

  --accent: #3f0670;
  --accent-text: #fff;
  --accent-shadow: #1c0638;

  --warn: #cc2d2d;

  --top-left-cloud: #3f0670;
  --top-left-cloud-shadow: #1c0638;
  --top-right-cloud: #3f0670;
  --top-right-cloud-shadow: #1c0638;

  --background-cloud: #fff;
  --background-cloud-shadow: #000;

  --strip-1-color: #000;
  --strip-2-color: #4500b2;
  --strip-3-color: #000;
  --strip-4-color: #0a0077;
  --strip-5-color: #000;

  // BUTTON
  --app-button: #424242;
  --app-button-text: #eee;
  --app-button-shadow: #232323;

  .primary {
    --app-button: #322187;
    --app-button-text: #fff;
    --app-button-shadow: #000;
  }

  .accent {
    --app-button: #3f0670;
    --app-button-text: #fff0fe;
    --app-button-shadow: #1c0638;
  }

  .discreet {
    --app-button: #424242;
    --app-button-text: #fff;
    --app-button-shadow: #000000;
  }

  .warn {
    --app-button: #cc2d2d;
    --app-button-text: #fff;
    --app-button-shadow: #721a1a;
  }

  --tada: #424242;
  .primary {
    --tada: #322187;
  }
  .primary-shadow {
    --tada: #000;
  }
  .accent {
    --tada: #3f0670;
  }
  .accent-shadow {
    --tada: #1c0638;
  }
  .default-shadow {
    --tada: #232323;
  }
  .warn-shadow {
    --tada: #721a1a;
  }

  --menu-background: #fdf2f8;
  --menu-foreground: #000;

  --title: #fdf2f8;
  --title-shadow: #000;
  --title-text: #000;

  --menu-dialog-bg: #938bbb;
  --second-balloon: #3f0670;
  --third-balloon: #cecece;

  --dialog-backdrop: #06013d;

  --input-background: #fff;
  --input-color: #000;

  --details: #3f0670;
  --details-shadow: #000;
  --details-text: #fff;

  --fieldset-background: #5d557c;
  --fieldset-legend: #322187;
  --fieldset-legend-text: #fff;
  --fieldset-legend-icon: #fff;

  --ng-select-default-color: #505050;

  --save-icon-1: #000;
  --save-icon-2: #fdf2f8;
  --save-icon-3: #0a0077;
  --edit-icon-1: #0a0077;
  --edit-icon-2: #fdf2f8;
  --edit-icon-3: #000;
  --edit-icon-4: #1c0cc9;

  --arabesque-top-shadow: #000;

  --item-field-section-header: #322187;
  --item-field-section-header-text: #fff;
  --item-field-section: #5d557c;
  --item-field-section-content-text: #fff;

  --related-item-bg: #322187;
  --related-item-t: #{rgba(#322187, 0)};

  .grayscale {
    --add-to-closet-1: #242424;
    --add-to-closet-2: #3d3d3d;
    --add-to-wishlist-1: #232323;
    --add-to-wishlist-2: #000000;
    --add-to-wishlist-3: #fff;
  }

  --cloud-symbol: #e5d4ff;
  --cloud-symbol-shadow: #4500b2;

  --button-empty: #3d3d3d;
  --coord-section-btn: #140d38;
  --coord-top-title: #201a3f;
  --coord-memo: #201a3f;

  --modal-deco: #5d557c;
  --modal-deco-bg: #0e0927;

  --memo-1: #1c0cc9;
  --memo-2: #ece4e9;
  --memo-3: #110e33;
  --memo-4: #a6a0ff;

  --simple-loader-color: #fff;

  --pagination-color: #000;
  --pagination-current: #3f0670;
  --pagination-current-color: #fff;

  --checkbox-star: #fefefe;
  --checkbox-star-stroke: #fefefe;

  --gauge-fill: #5c23b7;
  --gauge-shape: #000;

  --level-up-quiz-top-arc: #3f0670;
  --level-up-quiz-top-cloud: #322187;
  --level-up-quiz-top-stars: #000;

  --level-up-quiz-result-party-popper-accent: #3f0670;
  --level-up-quiz-result-party-popper-primary: #322187;
  --level-up-quiz-result-party-popper-inner-shadow: #000000;
  --level-up-quiz-result-party-popper-text: #fff;

  --line-chart-line-path: #3f0670;
  --line-chart-gridline-path: #fff;

  --maintenance-background: #7b71a5;
  --maintenance-cone-fill: #322187;
  --maintenance-cone-stroke: #000;
  --maintenance-cone-fill-2: #322187;
  --maintenance-cone-fill-3: #000;
  --maintenance-cone-stroke-2: #fff;
  --maintenance-cone-stroke-3: #322187;
  --maintenance-barier-stroke: #000;
  --maintenance-barier-fill: #000;
  --maintenance-barier-fill-2: #322187;
  --maintenance-barier-fill-3: #322187;
  --maintenance-barier-fill-4: #322187;
  --maintenance-bunny-fill: #000;
  --maintenance-bunny-fill-2: #322187;
  --maintenance-bunny-fill-3: #fff;
  --maintenance-bunny-stroke: #322187;

  --shop-1: #fff;
  --shop-2: #131313;
  --shop-3: #c7c6c6;
  --shop-4: #3d2a9c;
  --shop-5: #322187;
  --shop-6: #000;

  --share-icon: #000;
}

body.theme-classic {
  --main-background-color: #ffe2a9;

  --link: #892806;

  --primary: #d32a09;
  --primary-shadow: #892806;
  --primary-text: #fff;
  --primary-rgb: 211, 42, 9;

  --username: #892806;

  --accent: #875533;
  --accent-text: #fff;
  --accent-shadow: #422a1a;

  --warn: #1b1b1b;

  --top-left-cloud: #e0c3b8;
  --top-left-cloud-shadow: #600202;
  --top-right-cloud: #e0c3b8;
  --top-right-cloud-shadow: #600202;

  --background-cloud: #efac25;
  --background-cloud-shadow: #600202;

  --strip-1-color: #b50000;
  --strip-2-color: #efac25;
  --strip-3-color: #b50000;
  --strip-4-color: #f9bbbb;
  --strip-5-color: #b50000;

  // BUTTON
  --app-button: #424242;
  --app-button-text: #eee;
  --app-button-shadow: #232323;

  .primary {
    --app-button: #d32a09;
    --app-button-text: #fff;
    --app-button-shadow: #892806;
  }

  .accent {
    --app-button: #875533;
    --app-button-text: #fff0fe;
    --app-button-shadow: #422a1a;
  }

  .warn {
    --app-button: #1b1b1b;
    --app-button-text: #fff;
    --app-button-shadow: #000000;
  }

  --tada: #424242;
  .primary {
    --tada: #d32a09;
  }
  .primary-shadow {
    --tada: #892806;
  }
  .accent {
    --tada: #875533;
  }
  .accent-shadow {
    --tada: #422a1a;
  }
  .default-shadow {
    --tada: #232323;
  }
  .warn-shadow {
    --tada: #000000;
  }

  --menu-background: #edbe69;
  --menu-foreground: #b50000;

  --title: #edbe69;
  --title-shadow: #b50000;
  --title-text: #000;

  --menu-dialog-bg: #fdd4bd;
  --second-balloon: #e99f01;
  --third-balloon: #d32a09;

  --dialog-backdrop: #291a10;

  --input-background: #fff;
  --input-color: #000;

  --details: #edbe69;
  --details-shadow: #d32a09;
  --details-text: #000;

  --fieldset-background: #c4ae83;
  --fieldset-legend: #d32a09;
  --fieldset-legend-text: #fff;
  --fieldset-legend-icon: #fff;

  --save-icon-1: #422a1a;
  --save-icon-2: #fdf2f8;
  --save-icon-3: #d32a09;
  --edit-icon-1: #422a1a;
  --edit-icon-2: #fdf2f8;
  --edit-icon-3: #d32a09;
  --edit-icon-4: #a36943;

  --item-field-section-header: #d32a09;
  --item-field-section-header-text: #fff;
  --item-field-section: #c4ae83;

  --related-item-bg: #d32a09;
  --related-item-t: #{rgba(#d32a09, 0)};

  .grayscale {
    //   --add-to-closet-1: #ffffff;
    //   --add-to-closet-2: #d4d4d4;
    --add-to-wishlist-1: #c0c0c0;
    --add-to-wishlist-2: #7e7e7e;
    --add-to-wishlist-3: #fff;
  }

  --cloud-symbol: #ffe0d5;
  --cloud-symbol-shadow: #892806;

  --button-empty: #818181;
  --coord-section-btn: #892806;
  --coord-top-title: #a04828;
  --coord-memo: #a04828;

  --modal-deco: #633d3d;
  --modal-deco-bg: #c09d9d;

  --memo-1: #a04e1f;
  --memo-2: #ffab9c;
  --memo-3: #f78d72;
  --memo-4: #b91313;

  --simple-loader-color: #fff;

  --pagination-color: #000;
  --pagination-current: #875533;
  --pagination-current-color: #fff;

  --checkbox-star: #000;
  --checkbox-star-stroke: #000;

  --gauge-fill: #875533;
  --gauge-shape: #000;

  --level-up-quiz-top-arc: #d32a09;
  --level-up-quiz-top-cloud: #875533;
  --level-up-quiz-top-stars: #892806;

  --level-up-quiz-result-party-popper-accent: #875533;
  --level-up-quiz-result-party-popper-primary: #d32a09;
  --level-up-quiz-result-party-popper-inner-shadow: #422a1a;
  --level-up-quiz-result-party-popper-text: #fff;

  --line-chart-line-path: #892806;
  --line-chart-gridline-path: #000;

  --maintenance-background: #ffedca;
  --maintenance-cone-fill: #e99f01;
  --maintenance-cone-stroke: #892806;
  --maintenance-cone-fill-2: #e99f01;
  --maintenance-cone-fill-3: #892806;
  --maintenance-cone-stroke-2: #fff;
  --maintenance-cone-stroke-3: #e99f01;
  --maintenance-barier-stroke: #892806;
  --maintenance-barier-fill: #892806;
  --maintenance-barier-fill-2: #e99f01;
  --maintenance-barier-fill-3: #e99f01;
  --maintenance-barier-fill-4: #e99f01;
  --maintenance-bunny-fill: #e99f01;
  --maintenance-bunny-fill-2: #892806;
  --maintenance-bunny-fill-3: #fff;
  --maintenance-bunny-stroke: #892806;

  --shop-1: #fff;
  --shop-2: #d32a09;
  --shop-3: #c7c6c6;
  --shop-4: #64412a;
  --shop-5: #4b301e;
  --shop-6: #c52707;

  --share-icon: #c52707;
}
